Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.jrmp
Class JrmpServerContext

    java.lang.Object
      net.jini.jrmp.JrmpServerContext

All Implemented Interfaces:
  ServerContext.Spi

public class JrmpServerContext
extends Object
implements ServerContext.Spi

Server context provider for remote objects exported via JRMP. This class is intended to be specified in a resource to configure the operation of `ServerContext.getServerContext()`.

Since:
  2.0

Constructor Summary
`JrmpServerContext()`

Method Summary
`Collection` | `getServerContext()` Returns a server context collection containing an element that implements the `ClientHost` interface whose `getClientHost` method returns the client host if the current thread is handling a JRMP remote call, or `null` otherwise.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JrmpServerContext

    public JrmpServerContext()

Method Detail

### getServerContext

    public Collection getServerContext()

  Returns a server context collection containing an element that implements the `ClientHost` interface whose `getClientHost` method returns the client host if the current thread is handling a JRMP remote call, or `null` otherwise. The client host string is determined by calling `RemoteServer.getClientHost()`; if `getClientHost` throws a `ServerNotActiveException`, then no JRMP call is in progress and `null` is returned.

  Specified by:
    `getServerContext` in interface `ServerContext.Spi`
  Returns:
    server context collection or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved